unit inputp;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TInputProparty = class(TForm)
    Button1: TButton;
    Button2: TButton;
    SizeEdit: TEdit;
    Label1: TLabel;
    LowVoltage: TCheckBox;
    WordChip: TCheckBox;
    procedure SizeEditKeyPress(Sender: TObject; var Key: Char);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  InputProparty: TInputProparty;

implementation

{$R *.DFM}

procedure TInputProparty.SizeEditKeyPress(Sender: TObject; var Key: Char);
begin
  if key=#13 then begin
    key:=#0;
    Button1.Click;
  end
  else if key=#27 then begin
    key:=#0;
    Button2.Click;
  end
  else if not (key in ['0'..'9','a'..'f','A'..'F']) then key:=#0;
end;

procedure TInputProparty.Button1Click(Sender: TObject);
var
  size : DWORD;
begin
  try
    size:=StrToInt('$'+SizeEdit.Text);
    if size<=0 then EConvertError.Create('');
  except
    ModalResult:=mrNone;
    MessageDlg('w肳ꂽTCY͖ł.',mtError,[mbOK],0);
  end;
end;

end.
