#ifndef FLASHWRH_INC
#define FLASHWRH_INC

#define FLASHWR_IOCTL_INDEX  0x0000


#define IOCTL_FLASHWR_GET_CONFIG_DESCRIPTOR     CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)
                                                   
#define IOCTL_FLASHWR_RESET_DEVICE   CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+1,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)                                                              
                                                   
#define IOCTL_FLASHWR_RESET_PIPE  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+2,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)                                                           

#define IOCTL_FLASHWR_INITIALIZE CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+3,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_FLASHWR_DISPSTRING  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+4,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_FLASHWR_ROMPOWER  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+5,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_FLASHWR_GETSIGNATURE CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+6,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_FLASHWR_SETADDRESS  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+7,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_FLASHWR_CHECKSUM  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+8,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_FLASHWR_BLANK  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+9,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_FLASHWR_CHIPERASE  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+10,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)


#define IOCTL_FLASHWR_SECTORERASE CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+11,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS) 

#define IOCTL_FLASHWR_READ  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+12,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS) 

#define IOCTL_FLASHWR_WRITE  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+13,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS) 

#define IOCTL_FLASHWR_ENQUIRE CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   FLASHWR_IOCTL_INDEX+14,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS) 


#endif // end, #ifndef FLASHWRH_INC

