unit writerdefs;
//
//  IOCTL Definations & Write Command definations.
//
interface
uses
  Windows,usb100,usbioctl,usbdi,activex,shellapi;

const
  // for System file
  WRITER_GUID : TGUID = (D1:$2ade1f80;D2:$a11d;D3:$11d3;D4:($95, $bb, $0, $80, $45, $10, $3a, $f3));

var
  IOCTL_FLASHWR_GET_CONFIG_DESCRIPTOR,
  IOCTL_FLASHWR_RESET_DEVICE,
  IOCTL_FLASHWR_RESET_PIPE,
  IOCTL_FLASHWR_INITIALIZE,
  IOCTL_FLASHWR_DISPSTRING,
  IOCTL_FLASHWR_ROMPOWER,
  IOCTL_FLASHWR_GETSIGNATURE,
  IOCTL_FLASHWR_SETADDRESS,
  IOCTL_FLASHWR_CHECKSUM,
  IOCTL_FLASHWR_BLANK,
  IOCTL_FLASHWR_CHIPERASE,
  IOCTL_FLASHWR_SECTORERASE,
  IOCTL_FLASHWR_READ,
  IOCTL_FLASHWR_WRITE,
  IOCTL_FLASHWR_ENQUIRE : DWORD;

implementation

const
  FLASHWR_IOCTL_INDEX = 0;

initialization
  IOCTL_FLASHWR_GET_CONFIG_DESCRIPTOR:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+0,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_RESET_DEVICE:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+1,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_RESET_PIPE:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+2,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_INITIALIZE:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+3,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_DISPSTRING:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+4,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_ROMPOWER:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+5,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_GETSIGNATURE:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+6,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_SETADDRESS:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+7,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_CHECKSUM:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+8,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_BLANK:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+9,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_CHIPERASE:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+10,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_SECTORERASE:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+11,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_READ:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+12,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_WRITE:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+13,METHOD_BUFFERED, FILE_ANY_ACCESS);
  IOCTL_FLASHWR_ENQUIRE:=
    CTL_CODE(FILE_DEVICE_UNKNOWN,FLASHWR_IOCTL_INDEX+14,METHOD_BUFFERED, FILE_ANY_ACCESS);

end.
